[Wine] Re: Segmentation Fault

Morgoth wineforum-user at winehq.org
Tue Aug 2 13:06:09 CDT 2011

jjmckenzie wrote:
> On 8/1/11 2:43 PM, Morgoth wrote:
> > What may cause this error?
> > 
> > I'm trying to run Armored Brigade, which was working perfectly until I upgraded Wine from 1.2.3. to 1.3.24.
> > I can't get sound to work in that game under that version of Wine. I have OSS V4
> > 
> Try upgrading to 1.3.25.  There were many sound fixes made in that 
> release and many more to come in the upcoming 1.3.26 release.
> James McKenzie

I already upgraded to 1.3.25. So far it wasn't fixed.

ischou wrote:
> Also, keep in mind that when you upgrade your version of wine and use the same WINEPREFIX to run your program, wine will update your WINEPREFIX, and you cannot simply downgrade wine to run from the same WINEPREFIX.   You will need to create a new wineprefix using the older wine and and reinstall your program.
> If your program runs correctly in a current version of wine but are unsure whether a new version of wine will adversely affect a program that is important to you, you can copy your WINEPREFIX and try out your program from your new WINEPREFIX.  If everything is fine, you can delete the old one.

Actually, it was perfectly possible until one of the later versions of Wine (post 1.3.14). That WINEPREFIX was 2 years old and went through a lot of going back and forth.

Also, the problem is that somehow it remained broken even after removing the WINEPREFIX and creating a new one with 1.2.3.
Is there anything outside the WINEPREFIX that could cause it?

More information about the wine-users mailing list